package com.bohuikeji.frame.module.admin.entity.web.block;

import com.bohuikeji.frame.module.admin.base.EntityBase;
import com.bohuikeji.frame.module.admin.base.HtmlBlockFormBase;
import com.bohuikeji.frame.module.admin.entity.configure.BaseInputAn;
import com.bohuikeji.frame.module.admin.entity.configure.FieldConf;

import java.lang.reflect.Field;

/**
 * 文件上传元素块
 */
public class FileBlock extends HtmlBlockFormBase<FileBlock> {

    private String src;

    /**
     * 初始化组件默认属性
     *
     * @param field
     * @param entity
     */
    public FileBlock(Field field, EntityBase entity) {
        super(field, entity);
    }
    public FileBlock(FieldConf fieldConf, BaseInputAn inputAn){
        super(fieldConf,inputAn);
    }
}
